Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.format
Class DoubleHandler

    java.lang.Object
      com.tonbeller.wcf.format.FormatHandlerSupport
          com.tonbeller.wcf.format.NumberHandler
              com.tonbeller.wcf.format.DoubleHandler

All Implemented Interfaces:
  FormatHandler

Direct Known Subclasses:
  DoubleNaNHandler

public class DoubleHandler
extends NumberHandler

number parser, that creates Double objects

Field Summary

Fields inherited from class com.tonbeller.wcf.format.FormatHandlerSupport
`errorMessage, locale, name, pattern, patterns`

Constructor Summary
`DoubleHandler()`

Method Summary
`boolean` | `canHandle(java.lang.Object value)` returns true if this handler can handle the given object
`java.lang.Object` | `parse(java.lang.String s, java.lang.String userPattern)` parse a String and create an object
`java.lang.Object` | `toNativeArray(java.util.List list)` returns a native array of the data type.
`java.lang.Object[]` | `toObjectArray(java.lang.Object value)` returns an array of wrapper objects.

Methods inherited from class com.tonbeller.wcf.format.NumberHandler
`format, getMinValue, setMinValue`

Methods inherited from class com.tonbeller.wcf.format.FormatHandlerSupport
`addPattern, findPattern, getErrorMessage, getErrorMessage, getLocale, getName, getPattern, setErrorMessage, setLocale, setName, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleHandler

    public DoubleHandler()

Method Detail

### parse

    public java.lang.Object parse(java.lang.String s,
                                  java.lang.String userPattern)
                           throws FormatException

  Description copied from interface: `FormatHandler`
  parse a String and create an object

  Specified by:
    `parse` in interface `FormatHandler`
  Overrides:
    `parse` in class `NumberHandler`
  Throws:
    `FormatException`

### canHandle

    public boolean canHandle(java.lang.Object value)

  Description copied from interface: `FormatHandler`
  returns true if this handler can handle the given object

### toNativeArray

    public java.lang.Object toNativeArray(java.util.List list)

  Description copied from interface: `FormatHandler`
  returns a native array of the data type. E.g., the int handler will return an int[] array.

  Parameters:
    `list` - contains wrapper objects (e.g. Integer)

### toObjectArray

    public java.lang.Object[] toObjectArray(java.lang.Object value)

  Description copied from interface: `FormatHandler`
  returns an array of wrapper objects. E.g., the int handler will return an Integer[] array containing Integer instances.

  Parameters:
    `value` - either a scalar wrapper object (e.g. Integer) or an array of native types (e.g. int[])
  Returns:
    an array of wrapper types, e.g. Integer[]. If `value` is a scalar, the returned array contains `value` as its only element.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD